Subject: RE: bug#22206: 25.1.50; doc string of `define-minor-mode'

From: Drew Adams <[email-masked]>
Date: Fri, 18 Dec 2015 12:09:39 -0800 (PST)

> > Unlike (elisp) `Defining Minor Modes', the doc string does not say that
> > LIGHTER is a string and that keyword :lighter has a string value.
> > Please mention that the value is a string.
> 
> The doc string says:
>   Optional LIGHTER is displayed in the mode line when the mode is on.
> 
> What else could it possibly be, except a string?

Tons of things can be displayed in the mode line, including symbols.
"Displayed" does not preclude producing a string representation of
the thing to be displayed.  And users of this macro should not need
to know intricacies of how things can be displayed in the mode line.
They should be told what the type of LIGHTER is, IMO.

But if you don't want to clarify this by adding one word, as in the
manual, then, well, don't.